---
title: r
slug: Web/SVG/Attribute/r
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>r</code></strong> attribute defines the radius of a circle.</p>

<p>Two elements are using this attribute: {{SVGElement("circle")}}, and {{SVGElement("radialGradient")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 300 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;radialGradient r="0" id="myGradient000"&gt;
    &lt;stop offset="0"    stop-color="white" /&gt;
    &lt;stop offset="100%" stop-color="black" /&gt;
  &lt;/radialGradient&gt;
  &lt;radialGradient r="50%" id="myGradient050"&gt;
    &lt;stop offset="0"    stop-color="white" /&gt;
    &lt;stop offset="100%" stop-color="black" /&gt;
  &lt;/radialGradient&gt;
  &lt;radialGradient r="100%" id="myGradient100"&gt;
    &lt;stop offset="0"    stop-color="white" /&gt;
    &lt;stop offset="100%" stop-color="black" /&gt;
  &lt;/radialGradient&gt;

  &lt;circle cx="50"  cy="50" r="0"/&gt;
  &lt;circle cx="150" cy="50" r="25"/&gt;
  &lt;circle cx="250" cy="50" r="50"/&gt;

  &lt;rect x="20"  y="120" width="60" height="60" fill="url(#myGradient000)" /&gt;
  &lt;rect x="120" y="120" width="60" height="60" fill="url(#myGradient050)" /&gt;
  &lt;rect x="220" y="120" width="60" height="60" fill="url(#myGradient100)" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="circle">circle</h2>

<p>For {{SVGElement('circle')}}, <code>r</code> defines the radius of the circle and therefor its size. With a value lower or equal to zero the circle won't be drawn at all.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>r</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for circles.</p>

<h2 id="radialGradient">radialGradient</h2>

<p>For {{ SVGElement("radialGradient") }}, <code>r</code> defines the radius of the end circle for the radial gradient.</p>

<p>The gradient will be drawn such that the <strong>100%</strong> gradient stop is mapped to the perimeter of this end circle. A value of lower or equal to zero will cause the area to be painted as a single color using the color and opacity of the last gradient {{ SVGElement("stop") }}.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>50%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "geometry.html#R", "r")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition as a geometry property</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#RadialGradientElementRAttribute", "r")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for SVG2 paint servers <code>&lt;radialGradient&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#RadialGradientElementRAttribute", "r")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;radialGradient&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#CircleElementRAttribute", "r")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;circle&gt;</code></td>
  </tr>
 </tbody>
</table>
